// Spell checking dictionary for Mozilla Thunderbird
// Script written by rockstiff, modified by Alexander Ihrig. Dictionary from openoffice.org

const APP_DISPLAY_NAME	= "de-CH.dic";
const APP_NAME		= "Woerterbuch";
const APP_PACKAGE		= "www.thunderbird-mail.de";
const APP_VERSION		= "2.0";

var err = initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
if (err==SUCCESS) {

  // Copy files to Components/myspell
  var myspell_folder = getFolder("Components", "myspell");
  addFile(APP_NAME, "de-CH.dic", myspell_folder, "");
  addFile(APP_NAME, "de-CH.aff", myspell_folder, "");
  addFile(APP_NAME, "de-CH.txt", myspell_folder, "");

  err = performInstall();
  if(err == SUCCESS || err == 999) {
    alert(APP_DISPLAY_NAME+" (v "+APP_VERSION+") wurde erfolgreich installiert.\n\nWrterbcher werden NICHT im Erweiterungen-Manager angezeigt!");
  }
  else {
    alert("Installation fehlgeschlagen.\n\nFehler: " + err);
    cancelInstall(err);
  }

}
else {
  cancelInstall(err);
}


